# Retrieve table validation errors

## Get table validation errors

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/table/:id/validation-errors`

This endpoint allows you to retrieve validation errors for a specific table by ID.

#### Path Parameters

| Name                                 | Type   | Description                                    |
| ------------------------------------ | ------ | ---------------------------------------------- |
| id<mark style="color:red;">\*</mark> | string | ID of the table to retrieve validation errors. |

#### Headers

| Name                                             | Type   | Description             |
| ------------------------------------------------ | ------ | ----------------------- |
| x-api-key<mark style="color:red;">\*</mark>      | string | Your company's API key. |
| Authentication<mark style="color:red;">\*</mark> | string | Authentication token.   |

{% tabs %}
{% tab title="200: OK Validation errors exist." %}

```javascript
{
  "hasErrors": true,
  "errors": [
    {
      "message": "End Date (term_end_date) is required",
      "type": "Data & Associations",
      "workflowBlocking": true
    }
  ],
  "message": "Workflow blocking errors are present. Workflow Actions are disabled until these validation errors are resolved."
}
```

{% endtab %}

{% tab title="404: Not Found Could not find an table with this ID." %}

```javascript
{
  "message": "Resource Not Found"
}
```

{% endtab %}

{% tab title="200: OK No validation errors exist." %}

```javascript
{
  "hasErrors": false,
  "errors": [],
  "message": "No validation errors exist."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/table/validation-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
